/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.stateless.bean;

import javax.ejb.Stateless;
import javax.ejb.Remote;

import javax.interceptor.Interceptors;

@Stateless
@Remote(Calculator.class)
@Interceptors(org.jboss.tutorial.interceptor.LoggingInterceptor.class)
public class CalculatorBean
  implements Calculator
{
   public int add(int x, int y)
   {
     return x + y;
   }
   
   public int subtract(int x, int y)
   {
     return x - y;
   }
   
   public int multiply(int x, int y)
   {
     return x * y;
   }
}
